Bug 242917 - Jakata commons daemon source RPM does not build javadoc when building --with native
Summary: Jakata commons daemon source RPM does not build javadoc when building --with ...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: jakarta-commons-daemon   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Permaine Cheung
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-06 13:07 UTC by Oded Arbel
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-20 13:59:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updated spec file for jakarta-commons-daemon (7.89 KB, text/plain)
2007-09-17 21:55 UTC, James Ralston
no flags Details

Description Oded Arbel 2007-06-06 13:07:15 UTC
Description of problem:
As described above - one can either build the package with javadoc or with jsvc,
but not both.

Version-Release number of selected component (if applicable):
1.0.1-6jpp.2

How reproducible:
Always

Steps to Reproduce:
1. get the source rpm
2. rebuild it with --with native
  
Actual results:
no javadoc package

Expected results:
javadoc package should be built

Additional info:
Isn't it a good idea to always build jsvc ? We want the javadoc package, but
once this is fixed, "native" can be enabled by default.

Comment 1 James Ralston 2007-09-17 21:55:03 UTC
Created attachment 197891 [details]
updated spec file for jakarta-commons-daemon

I just got caught by this as well.  (I actually downloaded and compiled jsvc
manually before I realized that it should have been provided already.)

Here's an updated spec file that fixes this bug.  From the changelog:

* Mon Sep 17 2007 James Ralston <ralston at pobox.com> - 1:1.0.1-6jpp.2.0
- update License tag to reflect new acceptable licenses
- update main Group tag (old value "System/Boot" is invalid)
- update jsvc Group tag as well
- update javadoc Group tag as well
- building jsvc is no longer mutually exclusive with building javadoc
- jsvc is built by default (use "--without native" to disable)
- build jsvc man page from DocBook source via xmlto; install
- move jsvc from sbindir to bindir (man page is section 1)

Please adjust the release number to your liking (I appended ".0" to avoid
conflicting with the next update, but you probably just want to increment to
6jpp.3) and build/push updates.

Comment 2 Permaine Cheung 2007-09-20 13:59:16 UTC
Thanks for the patch, it's built in rawhide.


Note You need to log in before you can comment on or make changes to this bug.